.volunteerpage-banner-section{
    background-color: #FFFFFF;
}

.volunteer-section-wrapper{
    z-index: unset;
}

.volunteer-section{
    z-index: 3;
}
.volunteer-section-wrapper::before{
    content: "";
    width: 100%;
    height: 100px;
    position: absolute;
    left: 0;
    top: 0;
    /* background-color: #fff; */
    z-index: 0;
}

.volunteer-section-wrapper::after{
    content: "";
    width: 100%;
    height: 100px;
    position: absolute;
    left: 0;
    bottom: 0;
    background-color: #FBF9F0;
    z-index: -1;
}

.contact-form-section{
    padding-top: 50px;
    position: relative;
    padding-bottom: 390px;
}

.contact-form-section h2{
    color: #646D3B;
    font-size: 57px;
    margin-bottom: 70px;
    font-weight: 300;
    letter-spacing: 0.2px;
}

.contact-form-olive{
    width: 400px;
    position: absolute;
    bottom: 60px;
    left: -100px;
    z-index: 2;
    pointer-events: none;
}

.contact-form-olive img{
    width: 100%;
}

.contact-form-section form{
    /* background-color: #EFF1E4; */
    border-radius: 20px;
    padding: 80px 100px 80px 100px;
    padding-bottom: 50px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px 40px;
    position: relative;
}

select:focus {
  outline: none;
  border: none;
}

.contact-form-section .wpcf7-form-control-wrap, .contact-form-section input, .contact-form-section textarea{
    display: block;
    width: 100%;
}

.contact-form-section form p:has(label.message-container){
    grid-column: 1 / 3;
}
.contact-form-section form p:has(input.submit-btn){
    grid-column: 1 / 3;
}

.contact-form-section form label{
    color: #CEB938;
    font-size: 20px;
    font-weight: 300;
    letter-spacing: 0.5px;
}

.contact-form-section form input{
    background-color: transparent;
    border: 0;
    border-bottom: 1px solid #A04158;
    padding: 10px 10px 10px 5px;
    font-size: 24px;
    outline: none;
    margin-top: 5px;
    color: white;
}

.contact-form-section form input[type="date"] {
    color: #fff; /* text color when date IS selected */
}

/* Style when no date selected (shows mm/dd/yy) */
.contact-form-section form input[type="date"]:invalid {
    color: #A04158; /* placeholder/unselected color */
}

/* Webkit browsers (Chrome, Safari) */
.contact-form-section form input[type="date"]::-webkit-calendar-picker-indicator {
    background-image: url('../images/calendar-red.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
}

/* Firefox */
.contact-form-section form input[type="date"]::-moz-calendar-picker-indicator {
    background-image: url('../images/calendar-red.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
}

.contact-form-section form input[type="date"].empty {
    color: #A04158; /* unselected/placeholder color */
}

.contact-form-section form input[type="date"]:not(.empty) {
    color: #fff; /* selected date color */
}


.contact-form-section form select{
    padding: 14px 10px 14px 20px;
    font-size: 24px;
    outline: none;
    border-radius: 10px;
    background-color: #A04158;
    color: white;
    border: none;
    width: 100%;
    margin-top: 10px;
    cursor: pointer;
    -webkit-appearance: none; /* For Webkit browsers */
    -moz-appearance: none; /* For Firefox */
    appearance: none;
}

.custom-select {
      position: relative; /* Essential for positioning the pseudo-element */
      display: block;
    }

/* .custom-select::after {
    content: url("../images/select-arrow-icon.svg");
    position: absolute;
    right: 30px; 
    top: 50%;
    transform: translateY(5%);
    pointer-events: none; 
    width: 15px;
} */

.custom-select::after {
    content: "";
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(65%);
    pointer-events: none;

    width: 20px;
    height: 15px;

    background-image: url("../images/select-arrow-icon.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.contact-form-section form select option{
    background-color: white;
    color: #A04158;
    border-bottom: 1px solid #A04158;
    border-radius: 15px;
}


.contact-form-section form{
    position: relative;
}

.contact-form-wrapper{
    width: 100%;
    height: 100%;
    position: relative;
}

.contact-form-bg{
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.contact-form-section form textarea{
    background-color: transparent;
    border: 0;
    border-bottom: 1px solid #A04158;
    font-size: 24px;
    outline: none;
    height: 100px;
    resize: none;
    padding: 20px 10px 10px 5px;
    color: white;
}

.contact-form-section form input::placeholder, .contact-form-section form textarea::placeholder{
    color: #A04158;
}

.contact-form-section form input.submit-btn{
    color: white;
    font-size: 14px;
    padding: 12px 60px;
    border-radius: 50px;
    background-color: #CEB938;
    text-decoration: none;
    display: block;
    width: fit-content;
    margin: auto;
    margin-top: 10px;
    transition: all 0.2s ease-in-out;
    border: 1px solid transparent;
    width: fit-content;
    cursor: pointer;
    letter-spacing: 0.5px;
    font-weight: 300;
}

.contact-form-section form input.submit-btn:hover{
    background-color: transparent;
    color: #CEB938;
    border: 1px solid #CEB938;
}

.wpcf7-response-output{
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
}

.form-bottom-fields{
    grid-column: 1 / -1;
}

#hear-about-container, #hear-about-other-container{
    /* grid-column: 1 / -1; */
     margin-top: 10px;
}



#hear-about-other-container label{
    display: flex;
    align-items: center;
    gap: 5px;
}

.wpcf7-not-valid-tip{
    font-size: 16px;
}

.hear-about-other-label{
    color: #A04158;
    font-style: normal;
    font-weight: 300;
    font-size: 24px;
}

#submit-btn{
    height: fit-content;
}

.wpcf7-spinner{
    display: block;
    margin: auto;
}

.contact-form-bg.mobile{
    display: none;
}

@media screen and (max-width: 1100px) {
    .contact-form-section form{
        padding: 80px 60px;
    }

    .contact-form-section{
        padding-bottom: 200px;
    }

    .contact-form-olive{
        width: 310px;
        left: -85px;
        bottom: -20px;
    }
}

@media screen and (max-width: 1024px) {
    .contact-form-section h2{
        font-size: 48px;
        margin-bottom: 40px;
    }

    .contact-form-section form{
        gap: 40px 30px;
        padding: 60px 30px;
    }

    .contact-form-section form input{
        font-size: 22px;
    }

    .contact-form-section form select{
        font-size: 22px;
    }

    .hear-about-other-label{
        font-size: 22px;
    }
}

@media screen and (max-width: 850px) {
    .contact-form-section h2{
        font-size: 38px;
    }
}

@media screen and (max-width: 600px) {
    .contact-form-section{
        padding-top: 45px;
        padding-bottom: 95px;
        margin-top: -20px;
    }

    .contact-form-section h2{
        font-size: 30px;
        line-height: 32px;
        margin-bottom: 30px;
        letter-spacing: 0.5px;
    }

    .contact-form-bg.mobile{
        display: block;
    }
    .contact-form-bg.desktop{
        display: none;
    }

    .contact-form-section form{
        padding: 45px 30px 55px 30px;
        grid-template-columns: 1fr;
        gap: 20px;
    }

    .contact-form-section form p:has(label.message-container){
        grid-column: auto;
    }

    #hear-about-container, #hear-about-other-container{
        grid-column: auto;
    }

    .contact-form-section form p:has(input.submit-btn){
        grid-column: auto;
    }

    .contact-form-section form label{
        font-size: 14px;
    }

    .hear-about-other-label{
        font-size: 14px;
    }

    .contact-form-section form input{
        font-size: 17px;
    }

    .contact-form-section form textarea{
        font-size: 17px;
    }

    .contact-form-section form select{
        font-size: 17px;
    }

    .contact-form-olive{
        width: 200px;
        bottom: -40px;
        left: -60px;
    }

    .contact-form-section form input.submit-btn{
        font-size: 11px;
        padding: 10px 45px;
    }

    .custom-select::after{
        /* content: url("../images/select-arrow-icon-mobile.svg"); */
        width: 15px;
        height: 10px;
        right: 15px;
        transform: translateY(95%);
    }

       #hear-about-other-container label {
        flex-direction: column;
        align-items: flex-start;
        gap: 0;
    }

    .hear-about-other-label {
        font-size: 17px;
    }

    #hear-about-other-container input {
        margin-top: 0;
    }

    .volunteer-content h2{
        max-width: 310px;
    }
}
